__gnu_cxx::condition_base(3cxx)

NAME
__gnu_cxx::condition_base - Base struct for condition policy.

SYNOPSIS

Inherited by __gnu_cxx::limit_condition, and __gnu_cxx::random_condition.

  Public Member Functions

condition_base (const condition_base &)=default
condition_base & operator= (const condition_base &)=default

Detailed Description

Base struct for condition policy.

Requires a public member function with the signature void throw_conditionally()

Author

Generated automatically by Doxygen for libstdc++ from the source code.